## oem-fix-cnl-gfx-retire-amdgpu-before-1910 19.10somerville6

=== debian/changelog ===
oem-fix-cnl-gfx-retire-amdgpu-before-1910 (19.10somerville6) bionic; urgency=medium

  * replaced i386 amd64 by all from /debian/control for amdgpu-core for LP: #1893366

 -- Alex Tu <alex.tu@canonical.com>  Wed, 02 Sep 2020 16:32:54 +0800

oem-fix-cnl-gfx-retire-amdgpu-before-1910 (19.10somerville5) bionic; urgency=medium

  * fix: skip removing libgl1-amdgpu-mesa-dri to avoid problematic prerm from it
  (LP: #1890379)

 -- Alex Tu <alex.tu@canonical.com>  Mon, 10 Aug 2020 17:28:46 +0800

oem-fix-cnl-gfx-retire-amdgpu-before-1910 (19.10somerville4) bionic; urgency=medium

  * remove amdgpu source list for local repository.

 -- Alex Tu <alex.tu@canonical.com>  Thu, 18 Jun 2020 14:56:18 +0800

oem-fix-cnl-gfx-retire-amdgpu-before-1910 (19.10somerville3) bionic; urgency=medium

  * retire more pkgs for amdgpu 18.50

 -- Alex Tu <alex.tu@canonical.com>  Tue, 16 Jun 2020 21:19:34 +0800

oem-fix-cnl-gfx-retire-amdgpu-before-1910 (19.10somerville2) bionic; urgency=medium

  * provide amdgpu-pro-pin to remove versioin pin.

 -- Alex Tu <alex.tu@canonical.com>  Tue, 16 Jun 2020 17:38:31 +0800
