=== debian/control ===
Source: oem-fix-cnl-gfx-retire-amdgpu-before-1910
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 11~), dh-modaliases
Standards-Version: 4.1.4
Vcs-Git: lp:~oem-solutions-engineers/somerville/+git/oem-fix-cnl-gfx-retire-amdgpu-before-1910
Vcs-Browser: https://code.launchpad.net/~oem-solutions-engineers/somerville/+git//oem-fix-cnl-gfx-retire-amdgpu-before-1910

Package: amdgpu-core
Architecture: all
Depends: ${misc:Depends},linux-oem (>= 5.4) | linux-generic-hwe-18.04 (>= 5.4)
Conflicts:
 amdgpu,
 amdgpu-dkms,
 amdgpu-lib,
 amdgpu-lib32,
 amdgpu-pro,
 amdgpu-pro-core,
 amdgpu-pro-lib32,
 amdgpu-pro-pin,
 clinfo-amdgpu-pro,
 glamor-amdgpu,
 gst-omx-amdgpu,
 libdrm2-amdgpu,
 libdrm-amdgpu-amdgpu1,
 libdrm-amdgpu-common,
 libegl1-amdgpu-mesa,
 libegl1-amdgpu-mesa-drivers,
 libegl1-amdgpu-pro,
 libgbm1-amdgpu,
 libgbm1-amdgpu-pro,
 libgbm1-amdgpu-pro-base,
 libgl1-amdgpu-mesa-glx,
 libgl1-amdgpu-pro-appprofiles,
 libgl1-amdgpu-pro-dri,
 libgl1-amdgpu-pro-ext,
 libgl1-amdgpu-pro-glx,
 libglapi-amdgpu-mesa,
 libgles1-amdgpu-mesa,
 libgles2-amdgpu-mesa,
 libgles2-amdgpu-pro,
 libllvm6.0-amdgpu,
 libllvm7.0-amdgpu,
 libopencl1-amdgpu-pro,
 libosmesa6-amdgpu,
 libwayland-amdgpu-client0,
 libwayland-amdgpu-egl1,
 libwayland-amdgpu-egl1-mesa,
 libwayland-amdgpu-server0,
 libxatracker2-amdgpu,
 mesa-amdgpu-omx-drivers,
 mesa-amdgpu-va-drivers,
 mesa-amdgpu-vdpau-drivers,
 opencl-amdgpu-pro-icd,
 opencl-orca-amdgpu-pro-icd,
 vulkan-amdgpu-pro,
 wsa-amdgpu,
 xserver-xorg-amdgpu-video-amdgpu
Replaces:
 amdgpu,
 amdgpu-dkms,
 amdgpu-lib,
 amdgpu-lib32,
 amdgpu-pro,
 amdgpu-pro-core,
 amdgpu-pro-lib32,
 amdgpu-pro-pin,
 clinfo-amdgpu-pro,
 glamor-amdgpu,
 gst-omx-amdgpu,
 libdrm2-amdgpu,
 libdrm-amdgpu-amdgpu1,
 libdrm-amdgpu-common,
 libegl1-amdgpu-mesa,
 libegl1-amdgpu-mesa-drivers,
 libegl1-amdgpu-pro,
 libgbm1-amdgpu,
 libgbm1-amdgpu-pro,
 libgbm1-amdgpu-pro-base,
 libgl1-amdgpu-mesa-glx,
 libgl1-amdgpu-pro-appprofiles,
 libgl1-amdgpu-pro-dri,
 libgl1-amdgpu-pro-ext,
 libgl1-amdgpu-pro-glx,
 libglapi-amdgpu-mesa,
 libgles1-amdgpu-mesa,
 libgles2-amdgpu-mesa,
 libgles2-amdgpu-pro,
 libllvm6.0-amdgpu,
 libllvm7.0-amdgpu,
 libopencl1-amdgpu-pro,
 libosmesa6-amdgpu,
 libwayland-amdgpu-client0,
 libwayland-amdgpu-egl1,
 libwayland-amdgpu-egl1-mesa,
 libwayland-amdgpu-server0,
 libxatracker2-amdgpu,
 mesa-amdgpu-omx-drivers,
 mesa-amdgpu-va-drivers,
 mesa-amdgpu-vdpau-drivers,
 opencl-amdgpu-pro-icd,
 opencl-orca-amdgpu-pro-icd,
 vulkan-amdgpu-pro,
 wsa-amdgpu,
 xserver-xorg-amdgpu-video-amdgpu
Provides:
 amdgpu,
 amdgpu-dkms,
 amdgpu-lib,
 amdgpu-lib32,
 amdgpu-pro,
 amdgpu-pro-core,
 amdgpu-pro-lib32,
 amdgpu-pro-pin,
 clinfo-amdgpu-pro,
 glamor-amdgpu,
 gst-omx-amdgpu,
 libdrm2-amdgpu,
 libdrm-amdgpu-amdgpu1,
 libdrm-amdgpu-common,
 libegl1-amdgpu-mesa,
 libegl1-amdgpu-mesa-drivers,
 libegl1-amdgpu-pro,
 libgbm1-amdgpu,
 libgbm1-amdgpu-pro,
 libgbm1-amdgpu-pro-base,
 libgl1-amdgpu-mesa-glx,
 libgl1-amdgpu-pro-appprofiles,
 libgl1-amdgpu-pro-dri,
 libgl1-amdgpu-pro-ext,
 libgl1-amdgpu-pro-glx,
 libglapi-amdgpu-mesa,
 libgles1-amdgpu-mesa,
 libgles2-amdgpu-mesa,
 libgles2-amdgpu-pro,
 libllvm6.0-amdgpu,
 libllvm7.0-amdgpu,
 libopencl1-amdgpu-pro,
 libosmesa6-amdgpu,
 libwayland-amdgpu-client0,
 libwayland-amdgpu-egl1,
 libwayland-amdgpu-egl1-mesa,
 libwayland-amdgpu-server0,
 libxatracker2-amdgpu,
 mesa-amdgpu-omx-drivers,
 mesa-amdgpu-va-drivers,
 mesa-amdgpu-vdpau-drivers,
 opencl-amdgpu-pro-icd,
 opencl-orca-amdgpu-pro-icd,
 vulkan-amdgpu-pro,
 wsa-amdgpu,
 xserver-xorg-amdgpu-video-amdgpu
XB-Modaliases: ${modaliases}
Description: Transitional package to retire amdgpu stack for kernel 5.4
 This is a transitinal package to remove preloaded amdgpu stack.
 According to the preloaded amdgpu stack not compatible with kernel 5.4 and kernel 5.4 already supported the shipped AMD dgpus.
 So, we need this trisitional package to retire preloaded amdgpu stack.
 .
 Because AMD does not provide a way to online update amdgpu stack.
 If you need that stack, please download it from AMD website and manually install it.

Package: amdgpu-pro-pin
Architecture: all
Description: Transitional package for amdgpu-pro-pin for kernel 5.4
 This is a transitinal package to remove the pin from amdgpu stack for another transitional package amdgpu-core.
